/* Copyright 2014 Evernote Corporation. All rights reserved. */
if (window.gui) {
    require.nodeRequire = window.nodeRequire;
    process.on('uncaughtException', function (err) {
        console.log(err);
    });
    //window.gui.Window.get().showDevTools();
}

require.config({
    baseUrl: '../../modules',
    paths: {
        app: '../app/present',
        // encp: '../lib/encp/source',
        Mac: '../lib/encpnew/Mac/Source',
        Shared: '../lib/encpnew/Shared/Source',
        SharedCSS: '../lib/encpnew/Shared/CSS',

        lib: '../lib',
        text: '../lib/require/require-text',
        css: '../app/present/css',
        l10n: '../app/present/l10n'
    }
});


require(['app/App'], function (App) {
    window.app = App.start();
});
